var fusion_reactor_structure = [["               ","      aba      ","    aa   aa    ","   b       b   ","  a         a  ","  a         a  "," a           a "," b           b "," a           a ","  a         a  ","  a         a  ","   b       b   ","    aa   aa    ","      aba      ","               "],["      cbc      ","    ccdddcc    ","   bddcbcddb   ","  bdbc   cbdb  "," cdb       bdc "," cdc       cdc ","cdc         cdc","bdb         bdb","cdc         cdc"," cdc       cdc "," cdb       bdc ","  bdbc   cbdb  ","   bddcbcddb   ","    ccdddcc    ","      cmc      "],["               ","      aba      ","    aa   aa    ","   b       b   ","  a         a  ","  a         a  "," a           a "," b           b "," a           a ","  a         a  ","  a         a  ","   b       b   ","    aa   aa    ","      aba      ","               "]]
var fusion_reactor_structure_dictionary = {"a":"extendedcrafting:black_iron_block","b":"kubejs:fusion_reactor_casing","c":"astralsorcery:starmetal","d":"extendedcrafting:the_ultimate_block"}

onEvent('recipes', event => {

    //Molten Spacetime
    event.recipes.custommachinery.custom_machine("modpack:fusion_reactor", 24000)
        .produceFluid(Fluid.of("kubejs:molten_spacetime", 1))
        .produceFluid(Fluid.of("kubejs:cosmic_waste", 2000))
        .requireFluid(Fluid.of("kubejs:molten_ultimate", 1000))
        .requireFluid(Fluid.of("kubejs:molten_starmetal", 1000))
        .requireEnergyPerTick(100)
        .requireStructure(fusion_reactor_structure, fusion_reactor_structure_dictionary)

})